{% extends 'base.html' %}
{% load guardian_tags %}
{% load widget_tweaks %}
{% load url_link %}
{% load plurals %}
{% load crispy_forms_tags %}
{% block content %}
{% load static %}

<div class="breadcrumb">
    <a href="/"><i class="fas fa-home bread"></i>&nbsp;</a>
    {% for object in breadcrumb %}
        {% if object.url %}
        &nbsp;›&nbsp; <a class="bread" href={{object.url}} title="{{object.name}}"> {{object.name|truncatechars:40}}</a>
        {% else %}
        &nbsp;›&nbsp;<b title="{{object.name}}">{{object.name|truncatechars:40}}</b>
        {% endif %}
    {% endfor %}
    </div>
<br>
<form method="post">{% csrf_token %}
    {% crispy form %}
    {% get_obj_perms request.user for project as "project_perms" %}
    {% if "change_project" not in project_perms %}
    <div class="form-group">
        <div class="aab col-sm-offset-1 col-sm-2"></div>
        <div class="col-md-8 disabled-button-wrapper" data-toggle="popover" data-trigger="hover" data-placement="right"
            title="Action not available" data-container="body" data-html="true"
            data-content="You don't have sufficient permissions to  <br/> <strong>Edit this {{item.type}}</strong>.">
            <button class="btn btn-primary" type="button" disabled>Update</button>
        </div>
    </div>
    </div>

    {% endif %}
</form>
{% if progress_bar == 1 %}
<div class="progress-project">
    <h6 class="title-progress">Data distribution</h6>
    <div class="progress " style="height: 20px;">

        {% for space in space_info_list %}
        {% if space.tool != -1 %}
        <div data-toggle="popover" data-trigger="hover" data-placement="top"
            title="<strong>{{space.tool_name}}</strong>" data-container="body" data-html="true"
            data-content="size: <strong>{{space.size_total}}</strong>"
            class="progress-bar progress-bar-striped" role="progressbar"
            aria-valuenow="{{space.percent_space}}" aria-valuemin="0" aria-valuemax="100"
            style="background-color: {{space.color}}; width: {{space.percent_space}}%; color:#000000"> <b>{{space.tool_name}}</b>

        </div>
        {% endif %}
        {% endfor %}
    </div>
    <div class="legend">
        {% for space in space_info_list %}
        {% if forloop.last %}
        <b>{{space.tool_name}}</b>: {{space.size_total}}
        {% else %}
        <b>{{space.tool_name}}</b>: {{space.size_total}} /
        {% endif %}
        {% endfor %}
    </div>
</div>

{% endif %}
</br>
<section>
    <h4 style="cursor: default;">Links <i class="fa fa-link fa-xs"></i>&nbsp; &nbsp;
        {% for key, values in logo_tools_available.items %}
        {% if values.0 == "True" %}
            <button type="button" class="btn-xs btn rounded btn-outline-dark" style="background-color: {{key}}" data-toggle="popover" data-trigger="hover" title="Links available" data-placement="top"  data-content="Can create links from {{values.1}}"><b>{{values.1}}</b></button>
            {% comment %} <img class="img_logo_xs" title="Can create links from {{values.1}}" src="{% static key %}"> {% endcomment %}
        {% elif values.0 == "False" %}
            <button type="button" class="img_logo_xs_fade btn-xs btn rounded btn-outline-dark" data-toggle="popover" data-trigger="hover" title="Links could be available" data-placement="top"  data-content="Requires additional links from {{values.1}}">{{values.1}}</button>
            {% comment %} <img class="img_logo_xs_fade" title="Requires additional links from {{values.1}}" src="{% static key %}"> {% endcomment %}
        {% endif %}
        {% endfor %}

    </h4>
    <div class="row">
        <div class="col-sm-6">
            <span class="badge badge-pill badge-secondary">{{ nb_mapper }}</span>
            <span class="texte-badge">{{item|plurals}} found</span>
        </div>
        <div class="col-sm-6 text-right">
            {% include "item_update/"|add:item.type|add:"_update_form.html" %}
            {% endblock %}
